## linux 3.16.36

=== Makefile ===
VERSION = 3
PATCHLEVEL = 16
SUBLEVEL = 36
EXTRAVERSION =
NAME = Museum of Fishiegoodies

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not:
# o  use make's built-in rules and variables
#    (this increases performance and avoids hard-to-debug behaviour);
# o  print "Entering directory ...";
MAKEFLAGS += -rR --no-print-directory

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(filter 4.%,$(MAKE_VERSION)),)	# make-4
ifneq ($(filter %s ,$(firstword x$(MAKEFLAGS))),)
  quiet=silent_
endif
else					# make-3.8x
ifneq ($(filter s% -s%,$(MAKEFLAGS)),)
  quiet=silent_
endif
endif

export quiet Q KBUILD_VERBOSE

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/sparse.txt" for more details, including
# where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif

ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

# Cancel implicit rules on top Makefile
$(CURDIR)/Makefile Makefile: ;

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) \
								&& /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error failed to create output directory "$(saved-output)"))

PHONY += $(MAKECMDGOALS) sub-make

$(filter-out _all sub-make $(CURDIR)/Makefile, $(MAKECMDGOALS)) _all: sub-make
	@:

# Fake the "Entering directory" message once, so that IDEs/editors are
# able to understand relative filenames.
       echodir := @echo
 quiet_echodir := @echo
silent_echodir := @:
sub-make: FORCE
	$($(quiet)echodir) "make[1]: Entering directory \`$(KBUILD_OUTPUT)'"
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile \
	$(filter-out _all sub-make,$(MAKECMDGOALS))

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

ifeq ($(KBUILD_SRC),)
        # building in the source tree
        srctree := .
else
        ifeq ($(KBUILD_SRC)/,$(dir $(CURDIR)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(KBUILD_SRC)
        endif
endif
objtree		:= .
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH


# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

SUBARCH := $(shell uname -m | sed -e s/i.86/x86/ -e s/x86_64/x86/ \
				  -e s/sun4u/sparc64/ \
				  -e s/arm.*/arm/ -e s/sa110/arm/ \
				  -e s/s390x/s390/ -e s/parisc64/parisc/ \
				  -e s/ppc.*/powerpc/ -e s/mips.*/mips/ \
				  -e s/sh[234].*/sh/ -e s/aarch64.*/arm64/ )

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# A third alternative is to store a setting in .config so that plain
# "make" in the configured kernel build directory always uses that.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)
CROSS_COMPILE	?= $(CONFIG_CROSS_COMPILE:"%"=%)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

# Additional ARCH settings for tile
ifeq ($(ARCH),tilepro)
       SRCARCH := tile
endif
ifeq ($(ARCH),tilegx)
       SRCARCH := tile
endif

# Where to locate arch specific headers
hdr-arch  := $(SRCARCH)

KCONFIG_CONFIG	?= .config
export KCONFIG_CONFIG

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

HOSTCC       = gcc
HOSTCXX      = g++
HOSTCFLAGS   = -Wall -Wmissing-prototypes -Wstrict-prototypes -O2 -fomit-frame-pointer -std=gnu89
HOSTCXXFLAGS = -O2

ifeq ($(shell $(HOSTCC) -v 2>&1 | grep -c "clang version"), 1)
HOSTCFLAGS  += -Wno-unused-value -Wno-unused-parameter \
		-Wno-missing-field-initializers -fno-delete-null-pointer-checks
endif

# Decide whether to build built-in, modular, or both.
# Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

# If we have only "make modules", don't compile built-in objects.
# When we're building modules with modversions, we need to consider
# the built-in objects during the descend as well, in order to
# make sure the checksums are up to date before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

# If we have "make <whatever> modules", compile modules
# in addition to whatever we do anyway.
# Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

ifneq ($(CC),)
ifeq ($(shell $(CC) -v 2>&1 | grep -c "clang version"), 1)
COMPILER := clang
else
COMPILER := gcc
endif
export COMPILER
endif

# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

# We need some generic definitions (do not try to remake the file).
$(srctree)/scripts/Kbuild.include: ;
include $(srctree)/scripts/Kbuild.include

# Make variables (CC, etc...)
AS		= $(CROSS_COMPILE)as
LD		= $(CROSS_COMPILE)ld
CC		= $(CROSS_COMPILE)gcc
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
INSTALLKERNEL  := installkernel
DEPMOD		= /sbin/depmod
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ \
		  -Wbitwise -Wno-return-void $(CF)
CFLAGS_MODULE   =
AFLAGS_MODULE   =
LDFLAGS_MODULE  =
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=
CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage


# Use USERINCLUDE when you must reference the UAPI directories only.
USERINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include/uapi \
		-Iarch/$(hdr-arch)/include/generated/uapi \
		-I$(srctree)/include/uapi \
		-Iinclude/generated/uapi \
                -include $(srctree)/include/linux/kconfig.h

# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
LINUXINCLUDE    := \
		-I$(srctree)/arch/$(hdr-arch)/include \
		-Iarch/$(hdr-arch)/include/generated \

=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper, cpio, kmod, python, python-six, lzma [armel], kernel-wedge, quilt, patchutils, bc, gcc-4.6 [amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc]
Build-Depends-Indep: xz-utils, xmlto
Vcs-Git: https://anonscm.debian.org/git/kernel/linux.git
Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux.git
Homepage: https://www.kernel.org/

Package: linux-source-3.16
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.16 with Debian patches
 This package provides source code for the Linux kernel version 3.16. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: foreign

Package: linux-doc-3.16
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.16
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.16.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.16/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: foreign

Package: linux-manual-3.16
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.16
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: foreign

Package: linux-support-3.16.0-0.bpo.4
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}, python-six
Description: Support files for Linux 3.16
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-3.16.0-0.bpo.4-all
Architecture: amd64 armel armhf i386 ia64 mips mipsel powerpc s390 s390x sparc
Depends: linux-headers-3.16.0-0.bpo.4-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.16.0-0.bpo.4-all-amd64
Architecture: amd64
Depends: ${misc:Depends}, linux-headers-3.16.0-0.bpo.4-amd64 (= ${binary:Version})
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: kernel-image, zlib-modules
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: nic-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di, nic-shared-modules-3.16.0-0.bpo.4-amd64-di, core-modules-3.16.0-0.bpo.4-amd64-di, i2c-modules-3.16.0-0.bpo.4-amd64-di, crc-modules-3.16.0-0.bpo.4-amd64-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: nic-wireless-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di, nic-shared-modules-3.16.0-0.bpo.4-amd64-di, core-modules-3.16.0-0.bpo.4-amd64-di, usb-modules-3.16.0-0.bpo.4-amd64-di, mmc-modules-3.16.0-0.bpo.4-amd64-di, pcmcia-modules-3.16.0-0.bpo.4-amd64-di, crc-modules-3.16.0-0.bpo.4-amd64-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: nic-shared-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: serial-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di, pcmcia-modules-3.16.0-0.bpo.4-amd64-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: usb-serial-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di, usb-modules-3.16.0-0.bpo.4-amd64-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: ppp-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di, serial-modules-3.16.0-0.bpo.4-amd64-di, crc-modules-3.16.0-0.bpo.4-amd64-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: pata-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: pata-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di, ata-modules-3.16.0-0.bpo.4-amd64-di
Description: PATA drivers
 This package contains PATA drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: cdrom-core-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: cdrom-core-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di, scsi-core-modules-3.16.0-0.bpo.4-amd64-di, isofs-modules-3.16.0-0.bpo.4-amd64-di
Description: CDROM support
 This package contains core CDROM support for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: firewire-core-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: firewire-core-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di, scsi-core-modules-3.16.0-0.bpo.4-amd64-di, crc-modules-3.16.0-0.bpo.4-amd64-di
Description: Core FireWire drivers
 This package contains core FireWire drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: scsi-core-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-core-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: scsi-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di, scsi-core-modules-3.16.0-0.bpo.4-amd64-di, scsi-common-modules-3.16.0-0.bpo.4-amd64-di, cdrom-core-modules-3.16.0-0.bpo.4-amd64-di, core-modules-3.16.0-0.bpo.4-amd64-di, ata-modules-3.16.0-0.bpo.4-amd64-di
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: scsi-common-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-common-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di, scsi-core-modules-3.16.0-0.bpo.4-amd64-di, cdrom-core-modules-3.16.0-0.bpo.4-amd64-di
Description: Very common SCSI drivers
 This package contains very common SCSI drivers for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: scsi-extra-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: scsi-extra-modules
Depends: scsi-modules-3.16.0-0.bpo.4-amd64-di, scsi-core-modules-3.16.0-0.bpo.4-amd64-di
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.  This includes
 SCSI RAID drivers, and some of the less common SCSI controllers.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: loop-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: loop-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: btrfs-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: extra
Provides: btrfs-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di, core-modules-3.16.0-0.bpo.4-amd64-di, crc-modules-3.16.0-0.bpo.4-amd64-di, md-modules-3.16.0-0.bpo.4-amd64-di
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: ext4-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di, core-modules-3.16.0-0.bpo.4-amd64-di, crc-modules-3.16.0-0.bpo.4-amd64-di
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: isofs-modules-3.16.0-0.bpo.4-amd64-di
Architecture: amd64
Section: debian-installer
Priority: standard
Provides: isofs-modules
Depends: kernel-image-3.16.0-0.bpo.4-amd64-di
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.
XC-Package-Type: udeb
XB-Kernel-Version: 3.16.0-0.bpo.4-amd64

Package: jfs-modules-3.16.0-0.bpo.4-amd64-di

## linux 3.16.39

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 VERSION = 3
 PATCHLEVEL = 16
-SUBLEVEL = 36
+SUBLEVEL = 39
 EXTRAVERSION =
 NAME = Museum of Fishiegoodies
 
@@ -381,7 +381,7 @@
 LDFLAGS_MODULE  =
 CFLAGS_KERNEL	=
 AFLAGS_KERNEL	=
-CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage
+CFLAGS_GCOV	= -fprofile-arcs -ftest-coverage -fno-tree-loop-im
 
 
 # Use USERINCLUDE when you must reference the UAPI directories only.

=== debian/changelog ===
linux (3.16.39-1) jessie; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.16.37
    - [x86] iommu/vt-d: Ratelimit fault handler
    - xfs: disallow rw remount on fs with unknown ro-compat features
    - Bluetooth: vhci: fix open_timeout vs. hdev race
    - [x86] drm/i915: Prevent machine death on Ivybridge context switching
    - scsi: Add intermediate STARGET_REMOVE state to scsi_target_state
      (Closes: #834513)
    - Revert "scsi: fix soft lockup in scsi_remove_target() on module removal"
    - Bluetooth: vhci: Fix race at creating hci device
    - EDAC: Increment correct counter in edac_inc_ue_error()
    - ext4: fix data exposure after a crash
    - [armhf] crypto: s5p-sss - Fix missed interrupts when working with
      8 kB blocks
    - [armhf] crypto: s5p-sss - fix incorrect usage of scatterlists api
    - btrfs: bugfix: handle FS_IOC32_{GETFLAGS,SETFLAGS,GETVERSION} in
      btrfs_ioctl
    - [arm*] KVM: Enforce Break-Before-Make on Stage-2 page tables
    - aacraid: Relinquish CPU during timeout wait
    - aacraid: Fix for aac_command_thread hang
    - ext4: fix hang when processing corrupted orphaned inode list
    - ext4: clean up error handling when orphan list is corrupted
    - Revert "tty: Fix pty master poll() after slave closes v2"
    - Fix OpenSSH pty regression on close
    - cpufreq: Fix GOV_LIMITS handling for the userspace governor
    - ACPI / sysfs: fix error code in get_status()
    - ext4: fix oops on corrupted filesystem
    - [arm64] Ensure pmd_present() returns false after pmd_mknotpresent()
    - [armhf] dts: exynos: Add interrupt line to MAX8997 PMIC on
      exynos4210-trats
    - [mips*] Fix siginfo.h to use strict posix types
    - USB: serial: keyspan,muxport,quatech2: fix use-after-free in probe
      error path
    - irqchip/gic: Ensure ordering between read of INTACK and shared data
    - [powerpc*] mm/hash64: Fix subpage protection with 4K HPTE config
    - rtlwifi: Fix logic error in enter/exit power-save mode
    - sched/loadavg: Fix loadavg artifacts on fully idle and on fully loaded
      systems
    - [mips*] Fix race condition in lazy cache flushing.
    - ring-buffer: Use long for nr_pages to avoid overflow failures
    - ring-buffer: Prevent overflow of size in ring_buffer_resize()
    - RDMA/iw_cxgb4: Always wake up waiter in c4iw_peer_abort_intr()
    - IB/core: Fix a potential array overrun in CMA and SA agent
    - i40e: fix an uninitialized variable bug
    - mmc: mmc: Fix partition switch timeout for some eMMCs
    - net/mlx4_core: Fix access to uninitialized index
    - [x86] PCI: Mark Broadwell-EP Home Agent 1 as having non-compliant BARs
    - PCI: Disable all BAR sizing for devices with non-compliant BARs
    - netlink: Fix dump skb leak/double free (CVE-2016-9806)
    - sched/preempt: Fix preempt_count manipulations
    - fs/cifs: correctly do anonymous authentication
    - fs/cifs: remove directory incorrectly tries to set delete on close on
      non-empty directories
    - sunrpc: Update RPCBIND_MAXNETIDLEN
    - cpuidle: Fix cpuidle_state_is_coupled() argument in cpuidle_enter()
    - batman-adv: fix skb deref after free
    - batman-adv: Fix unexpected free of bcast_own on add_if error
    - batman-adv: Fix integer overflow in batadv_iv_ogm_calc_tq
    - xfs: xfs_iflush_cluster fails to abort on error
    - xfs: fix inode validity check in xfs_iflush_cluster
    - xfs: skip stale inodes in xfs_iflush_cluster
    - crypto: public_key: select CRYPTO_AKCIPHER
    - net: ehea: avoid null pointer dereference
    - cifs: Create dedicated keyring for spnego operations
    - Input: uinput - handle compat ioctl for UI_SET_PHYS
    - PM / sleep: Handle failures in device_suspend_late() consistently
    - tuntap: correctly wake up process during uninit
    - scsi_lib: correctly retry failed zero length REQ_TYPE_FS commands
    - [x86] drm/i915: Don't leave old junk in ilk active watermarks on readout
    - mmc: longer timeout for long read time quirk
    - sunrpc: fix stripping of padded MIC tokens
    - wait/ptrace: assume __WALL if the child is traced
    - xen/events: Don't move disabled irqs
    - UBI: do propagate positive error codes up
    - UBI: fix missing brace control flow
    - UBI: Fix static volume checks when Fastmap is used
    - RDMA/cxgb3: device driver frees DMA memory with different size
    - [x86] ALSA: hda - Fix headset mic detection problem for one Dell machine
    - [x86] crypto: ccp - Fix AES XTS error for request sizes above 4096
    - sfc: on MC reset, clear PIO buffer linkage in TXQs
    - Input: xpad - prevent spurious input from wired Xbox 360 controllers
    - Input: pwm-beeper - remove useless call to pwm_config()
    - Input: pwm-beeper - fix - scheduling while atomic
    - [mips*] fix read_msa_* & write_msa_* functions on non-MSA toolchains
    - hpfs: fix remount failure when there are no options changed
    - hpfs: implement the show_options method
    - [powerpc*] pseries/eeh: Handle RTAS delay requests in configure_bridge
    - [powerpc*] Fix definition of SIAR and SDAR registers
    - [powerpc*] Use privileged SPR number for MMCR2
    - mac80211_hwsim: Add missing check for HWSIM_ATTR_SIGNAL
    - mac80211: mesh: flush mesh paths unconditionally
    - [arm64] Provide "model name" in /proc/cpuinfo for PER_LINUX32 tasks
    - scsi: Add QEMU CD-ROM to VPD Inquiry Blacklist
    - ACPI / processor: Avoid reserving IO regions too early
    - drm/nouveau/fbcon: fix out-of-bounds memory accesses
    - [armel,armhf] fix PTRACE_SETVFPREGS on SMP systems
    - KVM: irqfd: fix NULL pointer dereference in kvm_irq_map_gsi
    - [x86] KVM: fix OOPS after invalid KVM_SET_DEBUGREGS
    - ALSA: hda - Fix headset mic detection problem for Dell machine
    - [powerpc*] pseries: Fix PCI config address for DDW
    - mnt: fs_fully_visible test the proper mount for MNT_LOCKED
    - IB/IPoIB: Fix race between ipoib_remove_one to sysfs functions


=== debian/control ===
Source: linux
Section: kernel
Priority: optional
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Uploaders: Bastian Blank <waldi@debian.org>, Frederik Schüler <fs@debian.org>, maximilian attems <maks@debian.org>, Ben Hutchings <ben@decadent.org.uk>
Standards-Version: 3.9.5
Build-Depends: debhelper, cpio, kmod, python, python-six, lzma [armel], kernel-wedge, quilt, patchutils, bc, gcc-4.8 [alpha amd64 arm64 armel armhf hppa i386 m68k mips mipsel mips64 mips64el powerpcspe ppc64el s390 s390x sh4 sparc sparc64], binutils-hppa64 [hppa], gcc-4.8-hppa64 [hppa], gcc-4.6 [ia64], gcc-4.8 (>= 4.8.2-21) [powerpc ppc64]
Build-Depends-Indep: xz-utils, xmlto
Vcs-Git: https://anonscm.debian.org/git/kernel/linux.git
Vcs-Browser: https://anonscm.debian.org/cgit/kernel/linux.git
Homepage: https://www.kernel.org/

Package: linux-source-3.16
Architecture: all
Section: kernel
Depends: binutils, xz-utils, ${misc:Depends}
Recommends: libc6-dev | libc-dev, gcc, make, bc
Suggests: libncurses-dev | ncurses-dev, libqt4-dev, pkg-config
Description: Linux kernel source for version 3.16 with Debian patches
 This package provides source code for the Linux kernel version 3.16. This
 source closely tracks official Linux kernel releases.  Debian's
 modifications to that source consist of security fixes, bug fixes, and
 features that have already been (or are believed to be) accepted by the
 upstream maintainers.
Multi-Arch: foreign

Package: linux-doc-3.16
Architecture: all
Section: doc
Depends: ${misc:Depends}
Description: Linux kernel specific documentation for version 3.16
 This package provides the various README files and HTML documentation for
 the Linux kernel version 3.16.  Plenty of information, including the
 descriptions of various kernel subsystems, filesystems, driver-specific
 notes and the like.  Consult the file
 /usr/share/doc/linux-doc-3.16/Documentation/00-INDEX for the detailed
 description of the contents.
Multi-Arch: foreign

Package: linux-manual-3.16
Architecture: all
Section: doc
Provides: linux-manual
Depends: ${misc:Depends}
Replaces: linux-manual
Conflicts: linux-manual
Description: Linux kernel API manual pages for version 3.16
 This package provides the Kernel Hacker's Guide in the form of manual
 pages, describing the kernel API functions.  They are installed into
 section 9 of the manual.
 .
 As the files containing manual pages for different kernel versions are
 installed in the same location, only one linux-manual package may be
 installed at a time.  The linux-doc package containing the documentation
 in other formats is free from such restriction.
Multi-Arch: foreign

Package: linux-support-3.16.0-4
Architecture: all
Section: devel
Depends: ${python:Depends}, ${misc:Depends}, python-six
Description: Support files for Linux 3.16
 This package provides support files for the Linux kernel build, e.g.
 scripts to handle ABI information and for generation of build system meta
 data.
Multi-Arch: foreign

Package: linux-libc-dev
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mipsel or1k powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64 x32
Section: devel
Provides: linux-kernel-headers
Depends: ${misc:Depends}
Replaces: linux-kernel-headers
Conflicts: linux-kernel-headers
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

Package: linux-headers-3.16.0-4-all
Architecture: alpha amd64 arm64 armel armhf hppa i386 ia64 m68k mips mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el s390 s390x sh4 sparc sparc64
Depends: linux-headers-3.16.0-4-all-${kernel:Arch} (= ${binary:Version}), ${misc:Depends}
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: linux-headers-3.16.0-4-all-alpha
Architecture: alpha
Depends: ${misc:Depends}, linux-headers-3.16.0-4-alpha-generic (= ${binary:Version}), linux-headers-3.16.0-4-alpha-smp (= ${binary:Version})
Description: All header files for Linux 3.16 (meta-package)
 This package depends against all architecture-specific kernel header files
 for Linux kernel version 3.16, generally used for building out-of-tree
 kernel modules.

Package: kernel-image-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: extra
Provides: kernel-image
Description: Linux kernel binary image for the Debian installer
 This package contains the kernel image for the Debian installer boot
 images.  It does _not_ provide a usable kernel for your full Debian
 system.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: nic-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-modules, nic-extra-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di, nic-shared-modules-3.16.0-4-alpha-generic-di, core-modules-3.16.0-4-alpha-generic-di, crc-modules-3.16.0-4-alpha-generic-di
Description: NIC drivers
 This package contains Ethernet and some paravirtualised network drivers
 for the kernel.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: nic-wireless-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-wireless-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di, nic-shared-modules-3.16.0-4-alpha-generic-di, core-modules-3.16.0-4-alpha-generic-di, usb-modules-3.16.0-4-alpha-generic-di, pcmcia-modules-3.16.0-4-alpha-generic-di, crc-modules-3.16.0-4-alpha-generic-di
Description: Wireless NIC drivers
 This package contains wireless NIC drivers for the kernel.  Includes
 crypto modules only needed for wireless (WEP, WPA).
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: nic-shared-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: nic-shared-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di
Description: Shared NIC drivers
 This package contains NIC drivers needed by combinations of nic-modules,
 nic-pcmcia-modules, nic-usb-modules and nic-wireless-modules.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: serial-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: serial-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di, pcmcia-modules-3.16.0-4-alpha-generic-di
Description: Serial drivers
 This package contains serial drivers for the kernel.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: usb-serial-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: usb-serial-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di, usb-modules-3.16.0-4-alpha-generic-di
Description: USB serial drivers
 This package contains USB serial drivers for the kernel.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: ppp-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: optional
Provides: ppp-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di, serial-modules-3.16.0-4-alpha-generic-di, zlib-modules-3.16.0-4-alpha-generic-di, crc-modules-3.16.0-4-alpha-generic-di
Description: PPP drivers
 This package contains PPP drivers for the kernel.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: pata-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: pata-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di, ata-modules-3.16.0-4-alpha-generic-di, scsi-core-modules-3.16.0-4-alpha-generic-di
Description: PATA drivers
 This package contains PATA drivers for the kernel.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: cdrom-core-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: cdrom-core-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di, scsi-core-modules-3.16.0-4-alpha-generic-di, isofs-modules-3.16.0-4-alpha-generic-di
Description: CDROM support
 This package contains core CDROM support for the kernel.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: scsi-core-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-core-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di
Description: Core SCSI subsystem
 This package contains the core SCSI subsystem for the kernel.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: scsi-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di, scsi-core-modules-3.16.0-4-alpha-generic-di, cdrom-core-modules-3.16.0-4-alpha-generic-di, core-modules-3.16.0-4-alpha-generic-di, ata-modules-3.16.0-4-alpha-generic-di
Description: SCSI drivers
 This package contains SCSI drivers for the kernel.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: scsi-common-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-common-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di, scsi-core-modules-3.16.0-4-alpha-generic-di, cdrom-core-modules-3.16.0-4-alpha-generic-di
Description: Very common SCSI drivers
 This package contains very common SCSI drivers for the kernel.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: scsi-extra-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: scsi-extra-modules
Depends: scsi-modules-3.16.0-4-alpha-generic-di, scsi-core-modules-3.16.0-4-alpha-generic-di
Description: Uncommon SCSI drivers
 This package contains uncommon SCSI drivers for the kernel.  This includes
 SCSI RAID drivers, and some of the less common SCSI controllers.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: loop-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: loop-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di
Description: Loopback filesystem support
 This package contains loopback filesystem support for the kernel.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: btrfs-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: extra
Provides: btrfs-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di, core-modules-3.16.0-4-alpha-generic-di, crc-modules-3.16.0-4-alpha-generic-di, zlib-modules-3.16.0-4-alpha-generic-di, md-modules-3.16.0-4-alpha-generic-di
Description: BTRFS filesystem support
 This package contains the BTRFS filesystem module for the kernel.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: ext4-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: ext4-modules, ext2-modules, ext3-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di, core-modules-3.16.0-4-alpha-generic-di, crc-modules-3.16.0-4-alpha-generic-di
Description: ext2/ext3/ext4 filesystem support
 This package contains the ext4 filesystem module for the kernel, which
 also supports ext2 and ext3.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: isofs-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
Priority: standard
Provides: isofs-modules
Depends: kernel-image-3.16.0-4-alpha-generic-di
Description: ISOFS filesystem support
 This package contains the ISOFS filesystem module for the kernel.
Kernel-Version: 3.16.0-4-alpha-generic
Package-Type: udeb

Package: jfs-modules-3.16.0-4-alpha-generic-di
Architecture: alpha
Section: debian-installer
